<template>
  <div class="h-full flex flex-col">
    <div class="flex-auto mb-8">
      <div class="h1 mb-3">Pay with</div>
      <div class="flex justify-between mb-3">
        <div class="text-base">Credit or Debit Card</div>
        <div class="flex space-x-1">
          <img :src="img" alt="" width="36px" v-for="(img, index) in paymentTypes" :key="index">
        </div>
      </div>
      <div class="mb-3">
        <div class="grid grid-cols-payment payment-input bg-white px-5 py-6 rounded-lg border border-grey-darker">
          <img src="@/assets/img/icons/lock.png" alt="" width="16px" class="mr-2">
          <input v-model="selected.cardNumber" type="text" pattern="\d*" maxlength="16" placeholder="Card Number" class="w-full ml-2 bg-transparent">
          <input :value="selected.cardDate" @input="handleDateInput($event.target.value)" type="text" placeholder="MM/YY" class="w-full px-2 bg-transparent">
          <input v-model="selected.cardCCV" type="text" pattern="\d*" maxlength="3" placeholder="CCV" class="w-full bg-transparent">
        </div>
      </div>
      <common-btn
        text="Pay now"
        class="mb-5"
        :disabled="!selected.cardNumber || !selected.cardDate || !selected.cardCCV"
        @click="$emit('nextStage')"
      />
      <div class="space-y-3 text-xs text-black-dark mb-8">
        By clicking PAY NOW, you agree that you are at least 18 years or older and that if prescribed, you are purchasing a subscription and will be charged $99 for your first shipment and $69.95 thereafter until you cancel or your prescription expires. You can cancel your subsciption at any time by contacting customer service at (877) 907-4047 or via email at support@shapiromd.com
      </div>
    </div>
    <security-footer/>
  </div>
</template>

<script>
import SecurityFooter from "@/components/misc/SecurityFooter";
import {constants} from "@/constants";
import {offerMixin} from "@/utils/mixins";
export default {
  mixins: [offerMixin],
  name: "Checkout",
  components: {SecurityFooter},
  data() {
    return {
      selected: {
        cardNumber: '',
        cardDate: '',
        cardCCV: '',
      },
      paymentTypes: [
        require('@/assets/img/misc/mastercard.png'),
        require('@/assets/img/misc/visa.png'),
        require('@/assets/img/misc/american_express.png'),
        require('@/assets/img/misc/discover.png'),
      ]
    }
  },
  beforeDestroy() {
    this.SET_OFFER_TEXT(null)
  },
  mounted() {
    this.SET_OFFER_TEXT(constants.MONEY_BACK_GUARANTEE)
  },
  methods: {
    handleDateInput(val) {
      val = val.replace('/', '').slice(0, 4)
      if (Number(val) === Number.NaN) {
        return
      }

      if (val.length > 2) {
        this.selected.cardDate = `${val.slice(0, 2)}/${val.slice(2, 4)}`
      } else {
        this.selected.cardDate = val.slice(0, 2)
      }
    }
  },
}
</script>

<style scoped>

</style>
